Bullet Collision Detection & Physics Library: LocalSupportVertexCallback Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
LocalSupportVertexCallback Class Reference

It's not nice to have all this virtual function overhead, so perhaps we can also gather the points once but then we are duplicating. More...

Inheritance diagram for LocalSupportVertexCallback:
[legend]
Collaboration diagram for LocalSupportVertexCallback:
[legend]

## Public Member Functions
| LocalSupportVertexCallback (const btVector3 &supportVecLocal)
virtual void | internalProcessTriangleIndex (btVector3 *triangle, int partId, int triangleIndex)
btVector3 | GetSupportVertexLocal ()
Public Member Functions inherited from btInternalTriangleIndexCallback
virtual | ~btInternalTriangleIndexCallback ()
virtual void | internalProcessTriangleIndex (btVector3 *triangle, int partId, int triangleIndex)=0

## Public Attributes
btScalar | m_maxDot
btVector3 | m_supportVecLocal

## Private Attributes
btVector3 | m_supportVertexLocal

## Detailed Description

It's not nice to have all this virtual function overhead, so perhaps we can also gather the points once but then we are duplicating.

Definition at line 32 of file btConvexTriangleMeshShape.cpp.

## Constructor & Destructor Documentation

## ◆ LocalSupportVertexCallback()

LocalSupportVertexCallback::LocalSupportVertexCallback | ( | const btVector3 & | supportVecLocal | ) |
| inline

Definition at line 40 of file btConvexTriangleMeshShape.cpp.

## Member Function Documentation

## ◆ GetSupportVertexLocal()

btVector3 LocalSupportVertexCallback::GetSupportVertexLocal | ( |  | ) |
| inline

Definition at line 63 of file btConvexTriangleMeshShape.cpp.

## ◆ internalProcessTriangleIndex()

virtual void LocalSupportVertexCallback::internalProcessTriangleIndex | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex
| ) |  |
| inlinevirtual

Implements btInternalTriangleIndexCallback.

Definition at line 47 of file btConvexTriangleMeshShape.cpp.

## Member Data Documentation

## ◆ m_maxDot

btScalar LocalSupportVertexCallback::m_maxDot

Definition at line 37 of file btConvexTriangleMeshShape.cpp.

## ◆ m_supportVecLocal

btVector3 LocalSupportVertexCallback::m_supportVecLocal

Definition at line 38 of file btConvexTriangleMeshShape.cpp.

## ◆ m_supportVertexLocal

btVector3 LocalSupportVertexCallback::m_supportVertexLocal
| private

Definition at line 34 of file btConvexTriangleMeshShape.cpp.

The documentation for this class was generated from the following file:

- btConvexTriangleMeshShape.cpp